Subject: Re: FVWM: Icon Manager Problem - Disappearing Square

From: Mikhael Goikhman <[email-masked]>
Date: Sat, 1 May 2004 19:29:56 +0000

On 29 Apr 2004 21:25:25 -0500, Michael White wrote:
> 
> I've figured out most of what's wrong with my .fvwm2rc and various other 
> manager config files.  Most of it was assuming that my older .fvwm2rc 
> wouldn't cause things to break, but it did.  2.5.9 fvwm chokes on some of the 
> 2.4.x options.
> 
> Anyway, I'm running version 2.5.9 compiled for AMD64 under Mandrake 9.2 for 
> AMD64 and am having a problem with the fvwm Icon Manager.  Specifically, the 
> little square to the left of the button label that indicates whether or not a 
> window is iconfied or not.  This square is usually absent.  The only time 
> this square is present is if I resetart fvwm while a window is iconified.  
> The square is present on restart on the iconified window, and will stay there 
> until I de-iconify the window.  Upon iconifying the window again, the square 
> is no longer present.
> 
> I haven't upgraded to 2.5.10 yet.  Will this fix the problem or is there 
> something else funny going on?  I didn't see any option in the FvwmIconMan 
> man page to indicate the little square is even an option that can be 
> disabled.

I don't think that 2.5.10 is any different here.

There is actually option that disables this square, DrawIcons.

I can't reproduce your situation. I either always get the
iconified-window square or never.

Post your whole FvwmIconMan config. (Please use *FvwmIconMan: option
syntax that worked in 2.4.x too.)

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].